===============
 GitHub Object
===============

The GitHub objects is the point at which most usage of github3.py works.


GitHub.com Object
=================

.. autoclass:: github3.github.GitHub
    :inherited-members:


Examples
--------

There are some examples of how to get started with this object
:ref:`here <github_examples>`.


GitHubEnterprise Object
=======================

This has all of the same attributes as the :class:`~github3.github.GitHub`
object so for brevity's sake, I'm not listing all of it's inherited members.

.. autoclass:: github3.github.GitHubEnterprise
    :members:


GitHubSession Object
====================

.. autoclass:: github3.session.GitHubSession
